import type { Model, ModelValue, Property, PropertyValue } from "./types.js";
export declare function signalInvalidType(type: never): never;
export declare function assert(condition: boolean, message?: string): asserts condition;
export declare const DEFAULT_DIGEST_LENGTH = 16;
export declare function getImmutableRecordKey(value: ModelValue, options: {
    namespace?: string;
}): string;
export declare function validateModelValue(model: Model, value: ModelValue): void;
export declare function validatePropertyValue(modelName: string, property: Property, value: PropertyValue): void;
